﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************
using System.Configuration;
using TDP.BaseServices.Infrastructure.Configuration.Abstract;

namespace TDP.BaseServices.Infrastructure.Configuration
{
    public class ConfigReader : IConfigReader
    {
        public string Get(string key, string defaultValue)
        {
            if (ConfigurationManager.AppSettings[key] == null)
                return defaultValue;

            return ConfigurationManager.AppSettings[key];
        }

        public int Get(string key, int defaultValue)
        {
            if (ConfigurationManager.AppSettings[key] == null)
                return defaultValue;

            return int.Parse(ConfigurationManager.AppSettings[key]);
        }

        public float Get(string key, float defaultValue)
        {
            if (ConfigurationManager.AppSettings[key] == null)
                return defaultValue;

            return float.Parse(ConfigurationManager.AppSettings[key]);
        }

        public double Get(string key, double defaultValue)
        {
            if (ConfigurationManager.AppSettings[key] == null)
                return defaultValue;

            return double.Parse(ConfigurationManager.AppSettings[key]);
        }

        public bool Get(string key, bool defaultValue)
        {
            if (ConfigurationManager.AppSettings[key] == null)
                return defaultValue;

            return bool.Parse(ConfigurationManager.AppSettings[key]);
        }

        public string GetConnectionString(string key)
        {
            return ConfigurationManager.ConnectionStrings[key].ConnectionString;
        }
    }
}