﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TDP.BaseServices.Infrastructure.Logging.Abstract;

namespace TDP.BaseServices.Infrastructure.Logging
{
    public class Logger : ILogger
    {
        private log4net.ILog _Log;

        public Logger()
        {
            _Log = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
        }

        public void Info(object message)
        {
            _Log.Info(message);
        }

        public void Info(object message, Exception ex)
        {
            _Log.Info(message, ex);
        }

        public void Error(object message)
        {
            _Log.Error(message);
        }

        public void Error(object message, Exception ex)
        {
            _Log.Error(message, ex);
        }

        public void Warn(object message)
        {
            _Log.Warn(message);
        }

        public void Warn(object message, Exception ex)
        {
            _Log.Warn(message, ex);
        }
    }
}
